using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;


using DHTMLX.Scheduler;
using DHTMLX.Common;
using DHTMLX.Scheduler.Data;
using DHTMLX.Scheduler.Controls;

using SchedulerNet.DynLoading.NoCache.Models;
namespace SchedulerNet.DynLoading.NoCache.Controllers
{
    public class CalendarController : Controller
    {
        public ActionResult Index()
        {
            //Being initialized in that way, scheduler will use CalendarController.Data as a the datasource and CalendarController.Save to process changes
            var scheduler = new DHXScheduler(this);

            scheduler.InitialDate = new DateTime(2012, 09, 03);

            scheduler.LoadData = true;
            //scheduler.EnableDataprocessor = true;
            scheduler.EnableDynamicLoading(SchedulerDataLoader.DynamicalLoadingMode.Week);
            return View(scheduler);
        }

        public ContentResult Data(DateTime from, DateTime to)
        {
            var evs = new List<CalendarEvent>();

            while(from < to)
            {
                evs.Add(new CalendarEvent
                {
                    text = "Event " + from.ToShortDateString(),
                    start_date = from.AddHours(4),
                    end_date = from.AddHours(7),
                });
                from = from.AddDays(1);
            }

            
            return new SchedulerAjaxData(evs);
        }

    
    }
}

